Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlLexicalHandler

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.xml.QXmlLexicalHandler

All Implemented Interfaces:
  QtJambiInterface, QXmlLexicalHandlerInterface

    public abstract class QXmlLexicalHandler

extends QtJambiObject
implements QXmlLexicalHandlerInterface

The `QXmlLexicalHandler` class provides an interface to report the lexical content of XML data. The events in the lexical handler apply to the entire document, not just to the document element, and all lexical handler events appear between the content handler's `startDocument` and `endDocument` events.

You can set the lexical handler with `QXmlReader::setLexicalHandler()`.

This interface's design is based on the the SAX2 extension `LexicalHandler`.

The interface provides the `startDTD()`, `endDTD()`, `startEntity()`, `endEntity()`, `startCDATA()`, `endCDATA()` and `comment()` functions.

See also:
  `QXmlDTDHandler`, `QXmlDeclHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlErrorHandler`, and Introduction to SAX2.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QXmlLexicalHandler()` Creates a new QXmlLexicalHandler.

Method Summary
`abstract boolean` | `comment(java.lang.String ch)` The reader calls this function to report an XML comment anywhere in the document.
`abstract boolean` | `endCDATA()` The reader calls this function to report the end of a CDATA section.
`abstract boolean` | `endDTD()` The reader calls this function to report the end of a DTD declaration, if any.
`abstract boolean` | `endEntity(java.lang.String name)` The reader calls this function to report the end of an entity called `name`.
`abstract java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`abstract boolean` | `startCDATA()` The reader calls this function to report the start of a CDATA section.
`abstract boolean` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` The reader calls this function to report the start of a DTD declaration, if any.
`abstract boolean` | `startEntity(java.lang.String name)` The reader calls this function to report the start of an entity called `name`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlLexicalHandler

    public QXmlLexicalHandler()

  Creates a new QXmlLexicalHandler.

Method Detail

### comment

    public abstract boolean comment(java.lang.String ch)

  The reader calls this function to report an XML comment anywhere in the document. It reports the text of the comment in `ch`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

  Specified by:
    `comment` in interface `QXmlLexicalHandlerInterface`

### endCDATA

    public abstract boolean endCDATA()

  The reader calls this function to report the end of a CDATA section.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `startCDATA()`, and `QXmlContentHandler::characters()`.

  Specified by:
    `endCDATA` in interface `QXmlLexicalHandlerInterface`

### endDTD

    public abstract boolean endDTD()

  The reader calls this function to report the end of a DTD declaration, if any.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `startDTD()`.

  Specified by:
    `endDTD` in interface `QXmlLexicalHandlerInterface`

### endEntity

    public abstract boolean endEntity(java.lang.String name)

  The reader calls this function to report the end of an entity called `name`.

  For every `startEntity()` call, there is a corresponding `endEntity()` call. The calls to `startEntity()` and `endEntity()` are properly nested.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `startEntity()`, `QXmlContentHandler::skippedEntity()`, and `QXmlSimpleReader::setFeature()`.

  Specified by:
    `endEntity` in interface `QXmlLexicalHandlerInterface`

### errorString

    public abstract java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

  Specified by:
    `errorString` in interface `QXmlLexicalHandlerInterface`

### startCDATA

    public abstract boolean startCDATA()

  The reader calls this function to report the start of a CDATA section. The content of the CDATA section is reported through the `QXmlContentHandler::characters()` function. This function is intended only to report the boundary.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `endCDATA()`.

  Specified by:
    `startCDATA` in interface `QXmlLexicalHandlerInterface`

### startDTD

    public abstract boolean startDTD(java.lang.String name,
                                     java.lang.String publicId,
                                     java.lang.String systemId)

  The reader calls this function to report the start of a DTD declaration, if any. It reports the name of the document type in `name`, the public identifier in `publicId` and the system identifier in `systemId`.

  If the public identifier is missing, `publicId` is set to an empty string. If the system identifier is missing, `systemId` is set to an empty string. Note that it is not valid XML to have a public identifier but no system identifier; in such cases a parse error will occur.

  All declarations reported through `QXmlDTDHandler` or `QXmlDeclHandler` appear between the `startDTD()` and `endDTD()` calls.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `endDTD()`.

  Specified by:
    `startDTD` in interface `QXmlLexicalHandlerInterface`

### startEntity

    public abstract boolean startEntity(java.lang.String name)

  The reader calls this function to report the start of an entity called `name`.

  Note that if the entity is unknown, the reader reports it through `QXmlContentHandler::skippedEntity()` and not through this function.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `endEntity()`, and `QXmlSimpleReader::setFeature()`.

  Specified by:
    `startEntity` in interface `QXmlLexicalHandlerInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD